| PUT | /RestApi/translations/translate/mark |
|---|
import Foundation
import ServiceStack
public class MarkForTranslation : Codable
{
public var ids:[String]
public var providerName:String
public var itemType:String
public var sourceLanguage:String
public var targetLanguages:[String]
public var actualSourceLanguage:String
public var allowPartialSuccess:Bool
required public init(){}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/translations/translate/mark HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.